# -*- coding: utf-8 -*-
import HttpClient
from HttpClient import post
from seller import SellerConfig
from seller.SellerConfig import env
from seller.account import Login
from seller.account import UpdatePwd
from seller.account import Lock
from seller.account import Unlock
from seller.member import batch


def seller_batch():
    status, lag, rsp_body = post(*Login.params(env))
    SellerConfig.current_token = rsp_body['data']['token']
    post(*UpdatePwd.params(env))
    post(*Lock.params(env))
    post(*Unlock.params(env))
    batch.batch()
    print(HttpClient.results)
    print(HttpClient.lags)


if __name__ == '__main__':
    seller_batch()
